/* Here's a very simple example on how to write ReqOFF requester replacers.
   It calls EasyRequestArgs and after the 'Terminate' button was pressed
   it sets the variable "kernel" to "WarpUP".

   IMPORTANT: To protect ReqOFF againts going into infinitive loop (when your
   requester replacer calls EasyRequestArgs() with same TITLE and/or TEXT
   as the original requester) you should add a single space as a first byte
   of title string, or simply change it to other title which will not qualify
   to be patched by your program again and again and again...

   IMPORTANT: In 'replacerdata' structure you receive not only the easystruc,
   but also the screen pointer, idcmp and args with which the main
   EasyRequestArgs was called. The 1st thing is that is not guaranteed that the
   screen is still opened (I think it's better to call EasyRequestArgs() with
   a NIL/NULL screen pointer because all users probably use DefaultPubScreen
   patches). The 2nd is that idcmp and args may be passed incorrectly by
   ReqOFF/other software (???) because mine programs hanged with these args
   passed to EasyRequestArgs - so don't use them!
*/

DEF exit
PROC main()
  exit:=EasyRequestArgs(0,[20,0,'Kernel termination','Sure to terminate PowerUP?\nYou won\at be able to restart\nthis kernel without rebooting!','WarpUP|Cancel'],0,0)
  IF exit=1;Execute('setenv kernel WarpUP',0,0);ENDIF
ENDPROC exit
